org.apache.lucene.search

## Class TotalHitCountCollector

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.lucene.search.TotalHitCountCollector

- All Implemented Interfaces:
    Collector, LeafCollector

      public class TotalHitCountCollector
      extends SimpleCollector

  Just counts the total number of hits.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalHitCountCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)` Called once for every document matching a query, with the unbased document number.
    `int` | `getTotalHits()` Returns how many hits matched the search.
    `boolean` | `needsScores()` Indicates if document scores are needed by this collector.

    - ### Methods inherited from class org.apache.lucene.search.SimpleCollector

      `doSetNextReader, getLeafCollector, setScorer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalHitCountCollector

          public TotalHitCountCollector()

  - ### Method Detail

    - #### getTotalHits

          public int getTotalHits()

      Returns how many hits matched the search.

    - #### collect

          public void collect(int doc)

      Description copied from interface: `LeafCollector`
      Called once for every document matching a query, with the unbased document number.

      Note: The collection of the current segment can be terminated by throwing a `CollectionTerminatedException`. In this case, the last docs of the current `LeafReaderContext` will be skipped and `IndexSearcher` will swallow the exception and continue collection with the next leaf.

      Note: This is called in an inner search loop. For good search performance, implementations of this method should not call `IndexSearcher.doc(int)` or `IndexReader.document(int)` on every hit. Doing so can slow searches by an order of magnitude or more.

      Specified by:
        `collect` in interface `LeafCollector`
      Specified by:
        `collect` in class `SimpleCollector`

    - #### needsScores

          public boolean needsScores()

      Description copied from interface: `Collector`
      Indicates if document scores are needed by this collector.
      Returns:
        `true` if scores are needed.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.